As of April 2nd 2008 I've not been able to login with it, and get an error saying that as of that date this version of yahoo IM will not be supported.

Andy fixes? Anyone else notice this?